<?php
/**
 * The template for displaying the footer.
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
$whitish_lite_settings = whitish_lite_get_theme_options();
if($whitish_lite_settings['whitish_lite_blog_layout'] == 'photography_layout' && !is_page() && !is_single()){
	if(class_exists('WooCommerce') && is_shop()): ?>
		</div> <!-- end .container -->
	<?php else: ?>
	</div> <!-- end #main -->
	<?php
	endif;
}else{?>
</div> <!-- end .container -->
<?php
} ?>
</div> <!-- end #content -->
<!-- Footer Start ============================================= -->
<footer id="colophon" class="site-footer clearfix">
<?php
$footer_column = $whitish_lite_settings['whitish_lite_footer_column_section'];
	if( is_active_sidebar( 'whitish_lite_footer_1' ) || is_active_sidebar( 'whitish_lite_footer_2' ) || is_active_sidebar( 'whitish_lite_footer_3' ) || is_active_sidebar( 'whitish_lite_footer_4' )) { ?>
	<div class="widget-wrap">
		<div class="container">
			<div class="widget-area clearfix">
			<?php
				if($footer_column == '1' || $footer_column == '2' ||  $footer_column == '3' || $footer_column == '4'){
				echo '<div class="column-'.esc_attr($footer_column).'">';
					if ( is_active_sidebar( 'whitish_lite_footer_1' ) ) :
						dynamic_sidebar( 'whitish_lite_footer_1' );
					endif;
				echo '</div><!-- end .column'.esc_attr($footer_column). '  -->';
				}
				if($footer_column == '2' ||  $footer_column == '3' || $footer_column == '4'){
				echo '<div class="column-'.esc_attr($footer_column).'">';
					if ( is_active_sidebar( 'whitish_lite_footer_2' ) ) :
						dynamic_sidebar( 'whitish_lite_footer_2' );
					endif;
				echo '</div><!--end .column'.esc_attr($footer_column).'  -->';
				}
				if($footer_column == '3' || $footer_column == '4'){
				echo '<div class="column-'.esc_attr($footer_column).'">';
					if ( is_active_sidebar( 'whitish_lite_footer_3' ) ) :
						dynamic_sidebar( 'whitish_lite_footer_3' );
					endif;
				echo '</div><!--end .column'.esc_attr($footer_column).'  -->';
				}
				if($footer_column == '4'){
				echo '<div class="column-'.esc_attr($footer_column).'">';
					if ( is_active_sidebar( 'whitish_lite_footer_4' ) ) :
						dynamic_sidebar( 'whitish_lite_footer_4' );
					endif;
				echo '</div><!--end .column'.esc_attr($footer_column).  '-->';
				}
				?>
			</div> <!-- end .widget-area -->
		</div> <!-- end .container -->
	</div> <!-- end .widget-wrap -->
	<?php } ?>
<div class="site-info" <?php if($whitish_lite_settings['whitish-lite-img-upload-footer-image'] !=''){?>style="background-image:url('<?php echo esc_url($whitish_lite_settings['whitish-lite-img-upload-footer-image']); ?>');" <?php } ?>>
	<div class="container">
		<div class="footer-content">
	<?php
		do_action('whitish_lite_sitegenerator_footer');
		?>
			<div style="clear:both;"></div>
			</div>
		</div> <!-- end .container -->
	</div> <!-- end .site-info -->
	<?php
		$disable_scroll = $whitish_lite_settings['whitish_lite_scroll'];
		if($disable_scroll == 0):?>
	<div class="go-to-top"><a title="<?php esc_html_e('Go to Top','whitish-lite');?>" href="#masthead"><i class="fa fa-angle-up"></i></a></div> <!-- end .go-to-top -->
	<?php endif; ?>
</footer> <!-- end #colophon -->
</div> <!-- end #page -->
<?php wp_footer(); ?>
</body>
</html>