<?php
if(!function_exists('whitish_lite_get_option_defaults_values')):
	/******************** Whitish Lite DEFAULT OPTION VALUES ******************************************/
	function whitish_lite_get_option_defaults_values() {
		global $whitish_lite_default_values;
		$whitish_lite_default_values = array(
			'whitish_lite_total_features'	=> '3',
			'whitish_lite_disable_features'	=> 0,
			'whitish_lite_design_layout' => 'wide-layout',
			'whitish_lite_sidebar_layout_options' => 'right',
			'whitish_lite_blog_layout' => 'large_image_display',
			'whitish_lite_search_custom_header' => 0,
			'whitish-lite-img-upload-footer-image' => '',
			'whitish_lite_header_display'=> 'header_text',
			'whitish_lite_categories'	=> array(),
			'whitish_lite_custom_css'	=> '',
			'whitish_lite_scroll'	=> 0,
			'whitish_lite_tag_text' => __('Read More', 'whitish-lite'),
			'whitish_lite_excerpt_length'	=> '55',
			'whitish_lite_search_text' => __('Search', 'whitish-lite'),
			'whitish_lite_reset_all' => 0,
			'whitish_lite_stick_menu'	=>0,
			'whitish_lite_search_text' => __('Search &hellip;', 'whitish-lite'),
			'whitish_lite_blog_content_layout'	=> '',
			'whitish_lite_slider_button' => 0,
			'whitish_lite_tag_text' => __('Read More', 'whitish-lite'),
			'whitish_lite_secondary_text' => '',
			'whitish_lite_secondary_url' => '',

			/* Slider Settings */
			'whitish_lite_slider_type'	=> 'default_slider',
			'whitish_lite_enable_slider' => 'enable',
			'whitish_lite_slider_link' =>0,
			'whitish_lite_slider_no' => '4',
			'whitish_lite_footer_column_section' =>'4',
			/* Front page feature */
			'whitish_lite_entry_format_blog' => 'show',
			'whitish_lite_entry_meta_blog' => 'show-meta',
			/*Social Icons */
			'whitish_lite_top_social_icons' =>0,
			'whitish_lite_buttom_social_icons'	=>0,
			'whitish_lite_social_facebook'=> '',
			'whitish_lite_social_twitter'=> '',
			'whitish_lite_social_pinterest'=> '',
			'whitish_lite_social_dribbble'=> '',
			'whitish_lite_social_instagram'=> '',
			'whitish_lite_social_flickr'=> '',
			'whitish_lite_social_googleplus'=> '',
			'whitish_lite_social_linkedin'=>'',

			'whitish_lite_featured_block_title' => '',
			/*Contact Us */
			'whitish_lite_contact_address' => '',
			'whitish_lite_contact_phone' => '',
			'whitish_lite_contact_skype' => '',
			'whitish_lite_contact_email' => '',

			'whitish_lite_header_display_logo' => '',

			'site_page_nav_link_title_color' => '#efa48d',
			'whitish_lite_button_color' => '#efa48d',
			'whitish_lite_woocommerce_color' => '#efa48d',
			);
		return apply_filters( 'whitish_lite_get_option_defaults_values', $whitish_lite_default_values );
	}
endif;
?>