<?php
/**
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
?>
<?php
/************************* Whitish Lite FOOTER DETAILS **************************************/
if (! function_exists('whitish_lite_site_footer')) {
	function whitish_lite_site_footer() {
		$whitish_lite_settings = whitish_lite_get_theme_options();
		if ( is_active_sidebar( 'whitish_lite_footer_options' ) ) :
			dynamic_sidebar( 'whitish_lite_footer_options' );
		else:
			echo '<div class="copyright">';
			echo esc_html__('Theme by ', 'whitish-lite');
		 	echo '<a href="'.esc_url('https://yudleethemes.com/').'">'. ' ' .esc_html__('Yudlee Themes', 'whitish-lite').'</a>';
		 ?>
		</div>
		<?php endif;
	}
	add_action( 'whitish_lite_sitegenerator_footer', 'whitish_lite_site_footer');
}